Description

[PATCH] Show images in repositories inline when you click...

Currently, when you click the "View" link for image files in repositories views,

image files are downloaded.

I would like image files to be displayed inline.

For your information, in issues views, when you click image file links,

image files are displayed inline.

So, not only it is more convenient but also it is more consistent with this change.

Please review this patch and include it if it is OK.

Associated revisions

Revision 9776 - 2012-06-07 19:00 - Jean-Philippe Lang

Show repository images inline when clicking 'View' (#10362).

History

#1 - 2012-03-05 06:24 - Steven Wong

it seems a nice improvement. thanks.

#2 - 2012-03-08 16:30 - Etienne Massip

- Category set to SCM extra

- Target version set to Candidate for next major release

I like the use of Redmine::MimeType.

Side note: maybe it could also be used in the places indicated by Toshi in #9638?

#3 - 2012-03-23 20:27 - Ivan Cenov

I tested patch in trunk r9249.

View and Download links display the picture. While this is OK for View, Download should not display but download the picture.

#4 - 2012-06-07 19:02 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Show images in repositories inline when you click view links to Show images in repositories inline when clicking the 'View' link

- Category changed from SCM extra to SCM

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.1.0

Patch changed to force then download when clicking "Download" + test added. Committed in r9776.
https://www.redmine.org/boards/4/topics/29308
https://www.redmine.org/issues/9638
https://www.redmine.org/projects/redmine/repository/svn/revisions/9249
https://www.redmine.org/projects/redmine/repository/svn/revisions/9776
